package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum UserSettingTypeEnum {

    PREPACKAGED(1,"预打包"),
    PACKAGED(2, "打包");
    private Integer type;
    private String name;

    public boolean equals(Integer status) {
        return this.type .equals(status) ;
    }

    public boolean equals(UserSettingTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }



}
